# Run tests in check section
%bcond_without check

# https://github.com/RoaringBitmap/roaring
%global goipath         github.com/RoaringBitmap/roaring
Version:                0.4.17

%global common_description %{expand:
This is a go version of the Roaring bitmap data structure.

Roaring bitmaps are used by several major systems such as Apache Lucene and 
derivative systems such as Solr and Elasticsearch, Metamarkets' Druid, 
LinkedIn Pinot, Netflix Atlas, Apache Spark, OpenSearchServer, Cloud Torrent, 
Whoosh, Pilosa, Microsoft Visual Studio Team Services (VSTS), and 
eBay's Apache Kylin.}

%gometa

Name:           %{goname}
Release:        1%{?dist}
Summary:        Go version of the Roaring bitmap data structure
# Detected licences
# - *No copyright* Apache License (v2.0) at 'LICENSE'
License:        ASL 2.0
URL:            %{gourl}
Source0:        %{gosource}

BuildRequires: golang(github.com/glycerine/go-unsnap-stream)
BuildRequires: golang(github.com/mschoch/smat)
BuildRequires: golang(github.com/tinylib/msgp/msgp)
BuildRequires: golang(github.com/willf/bitset)
BuildRequires: golang(github.com/smartystreets/goconvey/convey)
BuildRequires: golang(github.com/stretchr/testify/assert)


%description
%{common_description}


%package devel
Summary:       %{summary}

%description devel
%{common_description}

This package contains library source intended for
building other packages which use import path with
%{goipath} prefix.


%prep
%forgeautosetup


%install
%goinstall


%if %{with check}
%check
%gochecks
%endif


%files devel -f devel.file-list
%license LICENSE
%doc README.md CONTRIBUTORS AUTHORS


%changelog
* Sun Mar 17 2019 Robert-André Mauchin <zebob.m@gmail.com> - 0.4.17-1
- Release 0.4.17 (#1689418)

* Sun Mar 03 2019 Robert-André Mauchin <zebob.m@gmail.com> - 0.4.16-1
- First package for Fedora

